ADD_CLIENT(8)

NAME
add_client - create a diskless network bootable NFS client on a server

SYNOPSIS
/usr/etc/install/add_client [-inpv] [ -a kernel-arch ]
[ -e exec-path ] [ -f share-path ] [ -h home-path ]
[ -k kvm-path ] [ -m mail-path ] [ -r root-path ]
[ -s swap-path ] [ -t term-type ] [ -y yptype ]
[ -z swapsize ] client...
/usr/etc/install/add_client -i|-p [-nv] [ -a kernel-arch ]
[ -e exec-path ] [ -f share-path ] [ -h home-path ]
[ -k kvm-path ] [ -m mail-path ] [ -r root-path ]
[ -s swap-path ] [ -t term-type ] [ -y yptype ]
[ -z swapsize ] [ client... ]

DESCRIPTION

add_client adds an NFS client to a server. It can only be run by the super-user.

A default standard layout is used to set up the client's environment, but most pathnames can be overridden with the appropriate option, or menu field change.

Before you can add a client, you must first make sure that the Internet and Ethernet addresses for client are listed in the Network Information Service (NIS) hosts database (if the server is running the NIS service), or in the server's /etc/hosts and /etc/ethers databases, respectively. If add_client cannot find the client entry in the hosts database it aborts the operation. If there is no client entry in the /etc/ethers database, add_client issues a warning to update this file while adding the client.

The default root and swap partitions are /export/root/client and /export/swap/client, respectively.

add_client updates the /etc/bootparams file on the server but not the bootparams database in the NIS service (if used).

If the server is not running as an NIS master, add_client issues a warning to indicate that the database is out of date and the NIS master should be updated.

add_client updates the server's /etc/exports file to allow client's root access to each client's root file system. It also exports each client's swap file accordingly. Note: the system administrator should verify that the /etc/exports file contains correct information, and that file systems are exported to the correct users and groups. Refer to exportfs(8) for details on exporting file systems.

If the -i or -p option is not specified, at least one client argument must be supplied on the command line.

OPTIONS

-i  Interactive. Bring up a full-screen menu interface to add_client.

-n  Print the working parameters and exit without doing anything. This is used to verify what parameters add_client will use before actually doing anything.

-p  Display a short version of all client information, If clients are specified on the command line, only display information for those clients. When combined with the -v option, a long version of client information is displayed.

-v  Verbose. Report information about the client as steps are performed.

-a kernel-arch
    Specify the client kernel architecture (for instance, sun3, sun4, sun4c...). add_client prompts for the kernel architecture when unable to determine the correct value.

-e exec-path
    Set the pathname of the directory in which the executables for the architecture specified by -a. The client mounts /export/exec/arch.rel as /usr. See WARNINGS.

-f share-path
    Set the pathname of the share directory, which is normally a link to /usr/share.

-h home-path
    Set the pathname of the directory for the client's home. The default is /home/server-name.

-k kvm-path
    Set the pathname of the directory containing the client's kernel executables. See WARNINGS.

-m mail-path
    Set the pathname of the client's mail directory. The default is /var/spool/mail.

-r root-path
    Set the pathname of parent directory for client root directories; root/client is the pathname of the client's root directory. The default is /export/root/client-name.

-s swap-path
    Set the pathname of parent directory for client swap files; swap/client is the pathname of the client's swap file. The default is /export/swap/client-name.

-t term-type
    Set the terminal type of the client's console.

-y yptype
    Indicate the type of NIS server or if client is to be an NIS client; it can be client or none. The none argument results in the NIS service being disabled on the client. The default is client.

-z swapsize
    Reserve swapsize bytes for the client's swap file. swapsize can be flagged as kilobytes, blocks, or megabytes, with the k, b, or m suffixes, respectively. The default is 16Mb, and bytes are used when no units are specified.

FILES
/etc/bootparams
/etc/ethers
/etc/exports
/etc/hosts
/export/exec/proto.root.release
    architecture independent base for the client root file system
/tftpboot.client-ipaddr
    link to /tftpboot/boot.arch

SEE ALSO
add_services(8), bootparamd(8), exportfs(8), ndbootd(8C), rm_client(8), suninstall(8)

DIAGNOSTICS

add_client: must be super-user
    You must be root to use add_client.

NOTES

The Network Information Service (NIS) was formerly known as Sun Yellow Pages (YP). The functionality of the two remains the same; only the name has changed.

WARNINGS

The -e exec-path and the -k kvm-path options should not be used since the correct paths are determined when the adding the client's architecture service. See add_services(8).